## org.red5.server.tomcat.rtmpt
Class RTMPTLoader

    java.lang.Object
      org.red5.server.LoaderBase
          org.red5.server.tomcat.TomcatLoader
              org.red5.server.tomcat.rtmpt.RTMPTLoader

All Implemented Interfaces:
  LoaderMBean, ApplicationContextAware

Direct Known Subclasses:
  RTMPSLoader

    public class RTMPTLoader

extends TomcatLoader

Loader for the RTMPT server which uses Tomcat.

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

Nested Class Summary

Nested classes/interfaces inherited from class org.red5.server.tomcat.TomcatLoader
`TomcatLoader.DirectoryFilter`

Field Summary
`protected Context` `context` Context, in terms of JEE context is web application in a servlet container
`protected Engine` `rtmptEngine` RTMPT Tomcat engine.
`protected IServer` `server` Server instance
`protected Map<String,String>` `servletMappings` Extra servlet mappings to add

Fields inherited from class org.red5.server.tomcat.TomcatLoader
`address, connectionProperties, connector, connectors, defaultParentContextKey, defaultSpringConfigLocation, embedded, engine, host, hosts, realm, serviceEngineName, valves`

Fields inherited from class org.red5.server.LoaderBase
`applicationContext, loader, red5AppCtx, webappFolder`

Constructor Summary
`RTMPTLoader()`

Method Summary
`void` `init()` Initialization.
`void` `setMappings(Map<String,String> mappings)` Set servlet mappings
`void` `setServer(IServer server)` Setter for server

Methods inherited from class org.red5.server.tomcat.TomcatLoader
`addContext, addContext, getBaseHost, getConnector, getEmbedded, getEngine, getHost, getHostId, getRealm, registerJMX, removeContext, setAddress, setBaseHost, setConnectionProperties, setConnector, setConnectors, setContexts, setEmbedded, setHost, setHosts, setRealm, setValves, shutdown, startWebApplication`

Methods inherited from class org.red5.server.LoaderBase
`getApplicationContext, getApplicationLoader, getRed5ApplicationContext, getRed5ApplicationContexts, removeRed5ApplicationContext, setApplicationContext, setApplicationLoader, setRed5ApplicationContext, setWebappFolder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.context.ApplicationContextAware
`setApplicationContext`

Field Detail

### rtmptEngine

    protected Engine rtmptEngine

  RTMPT Tomcat engine.

### server

    protected IServer server

  Server instance

### context

    protected Context context

  Context, in terms of JEE context is web application in a servlet container

### servletMappings

    protected Map<String,String> servletMappings

  Extra servlet mappings to add

Constructor Detail

### RTMPTLoader

    public RTMPTLoader()

Method Detail

### setServer

    public void setServer(IServer server)

  Setter for server

  Parameters:
    `server` - Value to set for property 'server'.

### init

    public void init()

  Initialization.

  Specified by:
    `init` in interface `LoaderMBean`
  Overrides:
    `init` in class `TomcatLoader`

### setMappings

    public void setMappings(Map<String,String> mappings)

  Set servlet mappings

  Parameters:
    `mappings` - mappings

Copyright © 2006-2010 The Red5 Project